org.codehaus.mojo.properties

## Class SetSystemPropertiesMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.codehaus.mojo.properties.SetSystemPropertiesMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class SetSystemPropertiesMojo
    extends org.apache.maven.plugin.AbstractMojo

Sets system properties.

Version:
  $Id: SetSystemPropertiesMojo.java 9751 2009-05-20 14:53:00Z mark $
Author:
  Mark Hobson

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`SetSystemPropertiesMojo()`

### Method Summary

Methods
`void` `execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetSystemPropertiesMojo

    public SetSystemPropertiesMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`